All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] yet another package check
@ 2006-12-14 14:06 Jan Beulich
  2006-12-14 14:22 ` Christoph Egger
  0 siblings, 1 reply; 6+ messages in thread
From: Jan Beulich @ 2006-12-14 14:06 UTC (permalink / raw)
  To: xen-devel

As before, the file added to tools/check/ must be given exec permission.

Signed-off-by: Jan Beulich <jbeulich@novell.com>

Index: 2006-12-11/tools/Makefile
===================================================================
--- 2006-12-11.orig/tools/Makefile	2006-12-04 08:49:57.000000000 +0100
+++ 2006-12-11/tools/Makefile	2006-12-14 14:25:02.000000000 +0100
@@ -36,7 +36,7 @@ all: check
 	$(MAKE) ioemu
 
 .PHONY: install
-install: check
+install: check_install
 	@set -e; for subdir in $(SUBDIRS-y); do \
 		$(MAKE) -C $$subdir $@; \
 	done
@@ -58,6 +58,10 @@ distclean: clean
 check:
 	$(MAKE) -C check
 
+.PHONY: check_install
+check_install: check
+	$(MAKE) -C check install
+
 .PHONY: check_clean
 check_clean:
 	$(MAKE) -C check clean
Index: 2006-12-11/tools/check/check_python_xml
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ 2006-12-11/tools/check/check_python_xml	2006-12-14 14:05:30.000000000 +0100
@@ -0,0 +1,16 @@
+#!/bin/bash
+# CHECK-INSTALL
+
+function error {
+    echo
+    echo "  *** Check for python-xml package FAILED"
+    exit 1
+}
+
+python -c '
+import os.path, sys
+for p in sys.path:
+	if os.path.exists(p + "/xml/dom/minidom.py"):
+		sys.exit(0)
+sys.exit(1)
+' || error

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2006-12-14 17:38 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2006-12-14 14:06 [PATCH] yet another package check Jan Beulich
2006-12-14 14:22 ` Christoph Egger
2006-12-14 14:27   ` Guillaume Rousse
2006-12-14 14:32     ` Christoph Egger
2006-12-14 15:23       ` Jan Beulich
2006-12-14 17:38         ` Brendan Cully

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.